### Type parameters

- #### A

- #### B

- #### C

- #### D

- #### E

- #### F

- #### G

- #### H

- #### I

### Hierarchy

- TransactGetRequestBase
  - TransactGetRequest9

## Index

### Properties

- params

### Methods

- exec
- execFullResponse
- execNoMap
- forModel

## Properties

### params

params: TransactGetItemsInput

Inherited from TransactGetRequestBase.params

- Defined in dynamo/transactget/transact-get.request.type.ts:6

## Methods

### exec

- exec(): Promise<[A, B, C, D, E, F, G, H, I]>

- - Defined in dynamo/transactget/transact-get.request.type.ts:79

  #### Returns Promise<[A, B, C, D, E, F, G, H, I]>

### execFullResponse

- execFullResponse(): Promise<TransactGetFullResponse<[A, B, C, D, E, F, G, H, I]>>

- - Defined in dynamo/transactget/transact-get.request.type.ts:77

  #### Returns Promise<TransactGetFullResponse<[A, B, C, D, E, F, G, H, I]>>

### execNoMap

- execNoMap(): Promise<TransactGetItemsOutput>

- Inherited from TransactGetRequestBase.execNoMap

  - Defined in dynamo/transactget/transact-get.request.type.ts:7

  #### Returns Promise<TransactGetItemsOutput>

### forModel

- forModel<J>(modelClazz: ModelConstructor<J>, key: Partial<J>): TransactGetRequest10<A, B, C, D, E, F, G, H, I, J>

- - Defined in dynamo/transactget/transact-get.request.type.ts:75

  #### Type parameters

  - #### J

  #### Parameters

  - ##### modelClazz: ModelConstructor<J>

  - ##### key: Partial<J>

  #### Returns TransactGetRequest10<A, B, C, D, E, F, G, H, I, J>

Generated using TypeDoc